(** This module implements a pretty-printer for {!AST.program} *)

(** [program p] transforms [p] as a document whose printed version 
    is a valid input for {!Parser.program}. *)

type t = Pprint.document

val print : t -> unit

val program : AST.program -> t

open Instr

val instr : int instruction -> t
val bytecode : bytecode -> t
val interm : interm -> t
val word : word -> t
val stack : word Stk.t -> t
val state : state -> t
